/* Copyright 2009 Palm, Inc.  All rights reserved. */

Photos.Model.SingleFullscreen = Class.create(Photos.Model.Fullscreen, {
	initialize: function($super, url, thumbUrl, name) {
		$super(name, 0);
		this.total = 1;
		this.url = url;
		this.thumbUrl = thumbUrl || url;
	},

	aboutToActivate: function() {
		this.runCallbacks();
	},

	runCallbacks: function() {
		this._leftCB(null);
		this._rightCB(null);
		this._centerCB(this.url, this.thumbUrl, this.albumName);
	}
});

